<?php

declare (strict_types=1);
namespace WPForms\Vendor\Square\Models\Builders;

use WPForms\Vendor\Core\Utils\CoreHelper;
use WPForms\Vendor\Square\Models\CustomAttributeDefinition;
use WPForms\Vendor\Square\Models\UpdateCustomerCustomAttributeDefinitionRequest;
/**
 * Builder for model UpdateCustomerCustomAttributeDefinitionRequest
 *
 * @see UpdateCustomerCustomAttributeDefinitionRequest
 */
class UpdateCustomerCustomAttributeDefinitionRequestBuilder
{
    /**
     * @var UpdateCustomerCustomAttributeDefinitionRequest
     */
    private $instance;
    private function __construct(UpdateCustomerCustomAttributeDefinitionRequest $instance)
    {
        $this->instance = $instance;
    }
    /**
     * Initializes a new Update Customer Custom Attribute Definition Request Builder object.
     *
     * @param CustomAttributeDefinition $customAttributeDefinition
     */
    public static function init(CustomAttributeDefinition $customAttributeDefinition) : self
    {
        return new self(new UpdateCustomerCustomAttributeDefinitionRequest($customAttributeDefinition));
    }
    /**
     * Sets idempotency key field.
     *
     * @param string|null $value
     */
    public function idempotencyKey(?string $value) : self
    {
        $this->instance->setIdempotencyKey($value);
        return $this;
    }
    /**
     * Unsets idempotency key field.
     */
    public function unsetIdempotencyKey() : self
    {
        $this->instance->unsetIdempotencyKey();
        return $this;
    }
    /**
     * Initializes a new Update Customer Custom Attribute Definition Request object.
     */
    public function build() : UpdateCustomerCustomAttributeDefinitionRequest
    {
        return CoreHelper::clone($this->instance);
    }
}
