<?php
/**
 * The header.
 *
 * This is the template that displays all of the <head> section and everything up until main.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Twenty_One
 * @since Twenty Twenty-One 1.0
 */

?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="author" content="Novaly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="description" content="">
	<meta name="keywords" content=""/>
	<title>Jack Professional Painting</title>
	<link href="<?php bloginfo('template_url'); ?>/assets/<?php bloginfo('template_url'); ?>/assets/images/favicon.png" rel="shortcut icon" type="image/png">
	<!-- Main Stylesheet -->
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/assets/css/style.css">
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/assets/css/responsive.css">
</head>

<body <?php body_class(); ?>>
	<!-- Preloader Start -->
	<div class="preloader"></div>
	<!-- Preloader End -->
	<!-- header Start -->
	<header class="header-style-two">
		<div class="header-wrapper">
			<div class="header-top-area bg-gradient-color d-none d-lg-block">
				<div class="container">
					<div class="row">
						<div class="col-lg-9 header-top-left-part">
							<span class="address"><a href="tel:0420920793"><i class="webexflaticon flaticon-phone-1"></i> 0420 920 793</a></span>
							<span class="phone"><a href="mailto:jackaghaei@gmail.com"><i class="webexflaticon flaticon-mail"></i> jackaghaei@gmail.com</a></span>
						</div>
						<div class="col-lg-3 header-top-right-part text-right">
							<ul class="social-links">
								<li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
								<li><a href="#"><i class="fab fa-instagram"></i></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<div class="header-navigation-area two-layers-header">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<a class="navbar-brand logo f-left mrt-md-0" href="index.html">
								<img id="logo-image" class="img-center" src="<?php bloginfo('template_url'); ?>/assets/images/logo.png" alt="">
							</a>
							<div class="mobile-menu-right"></div>
							<div class="header-searchbox-style-two d-none d-xl-block">
								<!--<div class="side-panel side-panel-trigger text-right d-none d-lg-block">
									<span class="bar1"></span>
									<span class="bar2"></span>
									<span class="bar3"></span>
								</div>-->								 
								<a href="<?php echo esc_url( get_page_link(14) ); ?>" class="cs-btn-one btn-gradient-color btn-lg mt-4 mb-0"> Get A Quote</a>
							</div>
							<div class="side-panel-content">
								<div class="close-icon">
									<button><i class="webex-icon-cross"></i></button>
								</div>
								<div class="side-panel-logo mrb-30">
									<a href="index-2.html">
										<img src="<?php bloginfo('template_url'); ?>/assets/images/logo-sidebar-dark.png" alt="" />
									</a>
								</div>
								<div class="side-info mrb-30">
									<div class="side-panel-element mrb-25">
    <h4 class="mrb-10">Office Address</h4>
    <ul class="list-items">
        <li><span class="fa fa-map-marker-alt mrr-10 text-primary-color"></span>139 Burwood Hwy, Burwood VIC 3125, Australia</li>
        <li><span class="fas fa-envelope mrr-10 text-primary-color"></span>jackaghaei@gmail.com</li>
        <li><span class="fas fa-phone-alt mrr-10 text-primary-color"></span>0420 920-793</li>
    </ul>
</div>

									<div class="side-panel-element mrb-30">
										<h4 class="mrb-15">Pintarest</h4>
										<ul class="pintarest-list">
											<li><a href="#"><img class="img-full" src="<?php bloginfo('template_url'); ?>/assets/images/side-panel/1.jpg" alt=""></a></li>
											<li><a href="#"><img class="img-full" src="<?php bloginfo('template_url'); ?>/assets/images/side-panel/2.jpg" alt=""></a></li>
											<li><a href="#"><img class="img-full" src="<?php bloginfo('template_url'); ?>/assets/images/side-panel/3.jpg" alt=""></a></li>
											<li><a href="#"><img class="img-full" src="<?php bloginfo('template_url'); ?>/assets/images/side-panel/4.jpg" alt=""></a></li>
											<li><a href="#"><img class="img-full" src="<?php bloginfo('template_url'); ?>/assets/images/side-panel/5.jpg" alt=""></a></li>
											<li><a href="#"><img class="img-full" src="<?php bloginfo('template_url'); ?>/assets/images/side-panel/6.jpg" alt=""></a></li>
										</ul>
									</div>
								</div>
								<h4 class="mrb-15">Social List</h4>
								<ul class="social-list">
									<li><a href="#"><i class="fab fa-facebook"></i></a></li>
									<li><a href="#"><i class="fab fa-twitter"></i></a></li>
									<li><a href="#"><i class="fab fa-instagram"></i></a></li>
									<li><a href="#"><i class="fab fa-google-plus"></i></a></li>
								</ul>
							</div>
							<div class="main-menu f-right">
								<nav id="mobile-menu-right">
									<ul>
										<li><a href="<?php echo esc_url( get_page_link(5) ); ?>">Home</a></li>
										<li><a href="<?php echo esc_url( get_page_link(8) ); ?>">About Us</a></li>
										<li><a href="<?php echo esc_url( get_page_link(10) ); ?>">Services</a></li>
										<li><a href="<?php echo esc_url( get_page_link(12) ); ?>">Projects</a></li>
										<li><a href="<?php echo esc_url( get_page_link(14) ); ?>">Contact Us</a></li>
									</ul>
								</nav>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</header>
	<!-- header End -->